import { IO } from './platform';
import { StatusUpdater } from './updater';
export declare class KarmaClient {
    private updater;
    private socket;
    /** 是否正式发射判断? */
    private startEmitted;
    config: Record<string, any>;
    /** socket重连接标记 */
    private socketReconnect;
    private resultsBufferLimit;
    private resultsBuffer;
    private returnUrl;
    readonly id: string;
    constructor(updater: StatusUpdater, socket: IO);
    private navigateContextTo;
    log(type: string, args: any[]): void;
    private getLocation;
    error(messageOrEvent: string | Error, source?: string, lineno?: string, colno?: string, error?: Error): boolean;
    result(originalResult: Record<string, any>): void;
    complete(result?: Record<string, any>): void;
    /** 可以直接使用 */
    info(info: any): void;
}
